Bug 149734 - Missing lib file: /usr/lib/libtkx.a
Missing lib file: /usr/lib/libtkx.a
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: tcltk (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-25 15:54 EST by Dave Botsch
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-03 03:43:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Botsch 2005-02-25 15:54:33 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.3) Gecko/20050104 Red Hat/1.4.3-3.0.7

Description of problem:
It is standard practice to have libpackage so that one can link using -lpackage, eg -ltkx which would link to libtkx.a ... by creating libtkx8.3.a and not at least symlinking libtkx.a to libtkx8.3.a, any software using the standard -lpackage breaks.

Version-Release number of selected component (if applicable):
tclx-8.3-92.2

How reproducible:
Always

Steps to Reproduce:
1. Download torque
2. ./configure --with-tclx --enable-gui
3. make

  

Actual Results:  Could not find -ltkx

Make failed with error 2

Expected Results:  The software should have compiled.

Additional info:

Most libs seem to be done in the standard way. Eg /usr/lib/libz.a, /usr/lib/librt.a, etc. It should be noted that the same is true of the corresponding .so
Comment 1 Jens Petersen 2005-02-28 00:03:10 EST
Do you have tclx-devel installed?
Are you sure you want to link statically against libtkx?
Comment 2 Dave Botsch 2005-02-28 10:46:38 EST
Strangely enough, there is not a tclx-devel package. 

And, yes, we do want to link statically against libtkx.
Comment 3 Jens Petersen 2005-03-09 09:40:53 EST
Sorry I was confused RHEL 3 has all the tclx in the tclx package.
I guess tclx-devel was added later when tclx was split from tcltk.

Adding symlinks initially in 8.3.5-6 in rawhide.
Comment 4 Jens Petersen 2005-10-03 03:43:39 EDT
(Moving to RHEL4.)

Fixed in FC4.

Note You need to log in before you can comment on or make changes to this bug.